# MatLUFactorSymbolic

Performs symbolic LU factorization of matrix. Call this routine before calling MatLUFactorNumeric().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatLUFactorSymbolic(Mat mat,IS row,IS col,MatFactorInfo *info,Mat *fact)

Collective on Mat

### Input Parameters

| mat | - the matrix
| row, col | - row and column permutations
| info | - options for factorization, includes

             fill - expected fill as ratio of original fill.

             dtcol - pivot tolerance (0 no pivot, 1 full column pivoting)

                      Run with the option -info to determine an optimal value to use

### Output Parameter

fact -new matrix that has been symbolically factored

### Notes

See the users manual for additional information about choosing the fill factor for better efficiency.

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactor(), MatLUFactorNumeric(), MatCholeskyFactor(), MatFactorInfo

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages